#include "XMLSerializer.h"
#include "PacketHeader.autogen.h"
#include "PacketSource.autogen.h"


#ifdef _WIN32
    #pragma warning (push)
    #pragma warning (disable : 4996) // 'fopen': This function or variable may be unsafe. Consider using fopen_s instead. To disable deprecation, use _CRT_SECURE_NO_WARNINGS. See online help for details.
#endif


int main(int argc, char **argv)
{
    FILE *pOutputFile = fopen("test.xml", "w");

    if (pOutputFile == NULL)
    {
        perror("fopen");
        return 1;
    }

    XMLSerializer serializer(pOutputFile);

    Foo foo;

    serializer.Serialize(foo, foo.GetSerializableClassName());

    fclose(pOutputFile);

    return 0;
}


#ifdef _WIN32
    #pragma warning (pop)
#endif
