#ifndef TIMEOUT_QUEUE_INL
#define TIMEOUT_QUEUE_INL


inline TimeoutQueue::TimeoutQueueItem::TimeoutQueueItem(TimeoutId a_TimeoutId, uint32_t a_TimeoutTimeMS)
:   m_TimeoutId(a_TimeoutId)
,   m_TimeoutTimeMS(a_TimeoutTimeMS)
{
    ;
}


bool inline TimeoutQueue::TimeoutQueueItem::operator < (const TimeoutQueueItem &a_RHS) const
{
    return a_RHS.m_TimeoutTimeMS < m_TimeoutTimeMS;
}


inline TimeoutQueue::TimeoutMapItem::TimeoutMapItem()
:   m_TimeoutTimeMS(0)
{
    ;
}


inline TimeoutQueue::TimeoutMapItem::TimeoutMapItem(ITimeoutItem *a_pItem, uint32_t a_TimeoutTimeMS)
:   m_pItem(a_pItem)
,   m_TimeoutTimeMS(a_TimeoutTimeMS)
{
    ;
}


#endif
